shadow/tests/grouptools/gpasswd/55_gpasswd_change_admin_list-no_gshadow_file/gpasswd.test

58 lines
1.3 KiB
Plaintext
Raw Normal View History

#!/bin/sh
set -e
cd $(dirname $0)
. ../../../common/config.sh
. ../../../common/log.sh
log_start "$0" "gpasswd -A checks if the gshadow file exists"
save_config
# restore the files on exit
trap 'log_status "$0" "FAILURE"; restore_config' 0
change_config
echo "remove the gshadow file"
rm -f /etc/gshadow
echo -n "Set the lists of admins to foo (gpasswd -A foo users)..."
gpasswd -A foo users 2>tmp/gpasswd.err && exit 1 || {
status=$?
}
echo "OK"
echo -n "Check returned status ($status)..."
test "$status" = "17" # E_GSHADOW_NOTFOUND
echo "OK"
echo "gpasswd reported:"
echo "======================================================================="
cat tmp/gpasswd.err
echo "======================================================================="
echo -n "Check that there were a failure message..."
diff -au data/gpasswd.err tmp/gpasswd.err
echo "error message OK."
rm -f tmp/gpasswd.err
echo -n "Check the passwd file..."
../../../common/compare_file.pl config/etc/passwd /etc/passwd
echo "OK"
echo -n "Check the group file..."
../../../common/compare_file.pl config/etc/group /etc/group
echo "OK"
echo -n "Check the shadow file..."
../../../common/compare_file.pl config/etc/shadow /etc/shadow
echo "OK"
echo -n "Check the gshadow file..."
test ! -f /etc/gshadow
echo "OK"
log_status "$0" "SUCCESS"
restore_config
trap '' 0